• 所有社区 - 中文
    • 所有社区 - 中文
    • 论坛
    • 创意
    • 博客
高级

不是您要找的? 咨询专家!

此论坛帖文需要解决方案。
好评0

VFPOLEDB issue

I'm a developer for a nationwide program.  One of our features is using adodb/oledb to hook up Word with our database.  Many of our users have started receiving an error after the most recent Norton update.  If I uninstall Norton it works again.  If I reinstall, it works until I do a check for updates.  Sample code below is a simple demonstration of what is happening:

    cDatabasePath = 'c:\lmsng\temp\docmgr.dbc'
    cConnectString = "Provider=VFPOLEDB.1;Data Source=" & cDatabasePath & ";" & _
      "Mode=ReadWrite|Share Deny None;Password='';Collating Sequence=MACHINE"
    Set oConnection = CreateObject("ADODB.Connection")
    oConnection.ConnectionString = cConnectString
    oConnection.ConnectionTimeout = 30
    oConnection.Open (run-time error '2147467259' at this point)

Any wisdom from anybody?

I've been programming a long time and seen stuff like this before (actually a Norton Script blocking issue back in early 2000s).  But as of today, no setting or combination of settings help.

回复

好评0

Re: VFPOLEDB issue

Hello seangowens

What Norton product and version are you using please?

Thanks.

Success always occurs in private and failure in full view. Windows 10 Pro 64 bit Norton Core Security Plus 22.18.0.213 Core Firmware 282 I E 11 Chrome latest version.
好评0

Re: VFPOLEDB issue

I downloaded a copy from Infinity/Comcast (our ISP) to use and test since I don't use Norton on my work desktop.  It is Norton Internet Security - 22.5.2.15.  However I have about 1200 clients nationwide.  About a dozen of them started having the same issue very recently.  It is hard to pinpoint exactly when it started as it's only a certain feature of our software that uses vfpoledb and they use that feature as needed.  I couldn't tell you exactly what Norton product/version they have, except that one of them had the endpoint protection version.  Most appears to have a standalone version.

Hope this helps.  

好评0

Re: VFPOLEDB issue

seangowens:

I downloaded a copy from Infinity/Comcast (our ISP) to use and test since I don't use Norton on my work desktop.  It is Norton Internet Security - 22.5.2.15

Hi seangowens:

Your problem might be related to Proactive Exploit Protection (PEP) and the ODBC issue reported by Emile L in the thread Microsoft Word VFPODBC Issue since recent Norton Update.

If you meant you're testing Comcast's Norton Security Suite (NSS), try running manual LiveUpdates until you are fully patched to v22.6.0.42 (released 13-Mar-2016 for NSS), and then disable Exploit Protection in the Intrusion and Browser settings of Norton as shown in the product announcement Norton 22.6 Product Update available now.  It might take several manual LiveUpdates (with re-boots when requested) to get NSS up-to-date. After PEP is disabled in v22.6.0, re-boot and see if this solves your VFPOLEDB errors.

Note that any of your customers with Norton v22.5.4 or higher will have the new PEP feature, but the most recent v22.6.0 update now gives users the ability to disable PEP in their settings.
------------
32-bit Vista Home Premium SP2 * Firefox v45.0.1 * NIS v21.7.0.11 * MBAM Premium v2.2.1

好评0

Re: VFPOLEDB issue

Hello

If there are 1200 clients, you should be using the corporate version instead of the home users version or at least the small business version.. If they have the corporate version, then there is a Forum for the corporate versions.

Thanks.

Success always occurs in private and failure in full view. Windows 10 Pro 64 bit Norton Core Security Plus 22.18.0.213 Core Firmware 282 I E 11 Chrome latest version.
好评0

Re: VFPOLEDB issue

Sorry for not clarifying.  They are all stand alone clients (small businesses) running their own network and software.  They happen to use our software.  I'm sure some of them use the corporate version but most use a standard version of Norton to secure their machines/network.

好评0

Re: VFPOLEDB issue

Thanks for the reply.  It isn't Comcast's NSS.  The about page simply shows Norton Internet Security Online.  In any case, I have gone through all the live updates, and the version is 22.5.2.15, and doesn't contain the PEP option.  What am I missing?  

好评0

Re: VFPOLEDB issue

seangowens:

It isn't Comcast's NSS.  The about page simply shows Norton Internet Security Online.  In any case, I have gone through all the live updates, and the version is 22.5.2.15, and doesn't contain the PEP option. 

Hi seanowens:

Sorry, according to the Comcast webpage Download Norton Internet Security Online this software is only available for customers with a Comcast Business account, so I don't know if an update for v22.6.0.24 has been released yet for NIS Online.  You could contact Norton Customer Service via Live Chat as suggested on that webpage or post in Comcast's Norton Internet Security forum at http://forums.businesshelp.comcast.com/t5/Security-Norton-Internet/bd-p/Security and ask what the latest available version is if yank or one of our other Comcast users doesn't reply to this thread with more information.

If all you want is a trial version of a Norton product for home consumers to test for a possible workaround, you can download a free 30-day trial of either Norton Security Deluxe (5 devices, no backup) or Norton Security Premium (10 devices with 25 GB online backup) at http://us.norton.com/downloads.  The Norton product that Comcast provides free of charge for their home customers is Norton Security Suite (NSS) and is available at http://customer.xfinity.com/help-and-support/internet/downloading-the-norton-security-suite/.  All these home products should be upgradable to v22.6.0.24 and have the option to enable/disable Proactive Exploit Protection (PEP) as noted in my previous post <here>.

Note that Norton v22.5.2.15 products for home users were released back in July 2015 and added Win 10 compatibility, but this version does not include the new PEP feature found in v22.5.4 and higher that might be conflicting with your software.
------------
32-bit Vista Home Premium SP2 * Firefox v45.0.1 * NIS v21.7.0.11 * MBAM Premium v2.2.1

好评1 Stats

Re: VFPOLEDB issue

Hi @seangowens,

Thanks for reporting this issue. I've sent you a private message requesting logs and more information via the forums. Please check it when you get a chance.

Sunil_GA | Norton Forums Administrator | Symantec Corporation
好评0

Re: VFPOLEDB issue

Hi @seangowens,

This issue should be resolved with with latest CIDS driver version v15.1.1.7 update released via Live Updates. Please run Live Updates from the Norton product to make sure all updates are downloaded and let us know if you still encounter any issues after the update. Thanks

Sunil_GA | Norton Forums Administrator | Symantec Corporation

This thread is closed from further comment. Please visit the forum to start a new thread.